petsc-3.7.7 2017-09-25
Report Typos and Errors

# TS2SetSolution

Sets the initial solution and time derivative vectors for use by the TS routines handling second order equations.

### Synopsis

    #include "petscts.h"
    PetscErrorCode  TS2SetSolution(TS ts,Vec u,Vec v)

Logically Collective on TS and Vec

### Input Parameters

| ts | - the TS context obtained from TSCreate()
| u | - the solution vector
| v | - the time derivative vector

### Keywords

TS, timestep, set, solution, initial conditions

Level:beginner
Location:src/ts/interface/ts.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages